Bug 485487 - RFE: System call fallocate(2) not fully available
RFE: System call fallocate(2) not fully available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 13:45 EST by Jeff Garzik
Modified: 2016-11-24 11:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 08:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple test application (464 bytes, text/plain)
2009-02-13 13:45 EST, Jeff Garzik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 7083 None None None Never

  None (edit)
Description Jeff Garzik 2009-02-13 13:45:35 EST
Created attachment 331855 [details]
Simple test application

Description of problem:
The Linux system call fallocate(2) has an additional 'mode' argument that posix_fallocate(2) does not have.

While glibc does call sys_fallocate internally (if available), it does not fully export fallocate(2) to userspace.

Request that fallocate(2) be fully exported to userspace, both in #include headers as well as a linkable glibc stub.

Version-Release number of selected component (if applicable):
glibc-2.9-3.x86_64

(but I also looked in glibc cvs, main branch)

How reproducible:
always

Steps to Reproduce:
1. Build app according to fallocate(2) man page.
2. Compile app, watch it produce warnings and fail to link.
  
Actual results:
Compile failure.

Expected results:
Successful call to fallocate(2).
Comment 1 Jakub Jelinek 2009-03-11 08:28:07 EDT
glibc-2.9.90-10 exports fallocate.

Note You need to log in before you can comment on or make changes to this bug.